Cross Compiling Qt 5.10.1 for Raspberry Pi 3 on Ubuntu 18.04 LTS

Download raspbian stretch

Install SD card, boot and configure wifi on raspbian
Edit /etc/apt/sources.lst and uncomment deb-src line

Update

Second update after reboot

# Install packages

# Shutdown raspberry pi, remove SD card, make an image and mount

# Find sector size and sector start of 2nd partition

Mount image as filesystem

Make symbolic links relative

# Download raspberry cross-compiler

# Download QT 5.9.6 or 5.10.1 (5.11 needs a fully C++11 compliant compiler)

# Unzip QT

# Create helper environment variables

# Configure Qt

# Optional:

# Compile Qt

2 Replies to “Cross Compiling Qt 5.10.1 for Raspberry Pi 3 on Ubuntu 18.04 LTS”

  1. Hello Henry,
    thanks for this description.
    It works good! But I have some problems at the end:
    When I execute the command for
    #Configure Qt:
    ./configure -opengl es2 -device linux-rasp-pi3-vc4-g++ -device-option CROSS_COMPILE=$RPI_TOOLCHAIN -sysroot $RPI_SYSROOT -opensource -confirm-license -reduce-exports -release -make libs -prefix /usr/local/qt5pi -no-use-gold-linker -skip qtscript -skip qtscript -skip qtwebengine -skip qtwebchannel -skip qtwebsockets -recheck-all
    I get the error:
    You don’t seem to have ‘make’ or ‘gmake’ in your PATH.
    Do you have any idea what’s wrong?
    It would be fine if I get an answer soon by email.
    With kind regards
    Kurt

Leave a Reply to Kurt Struevy Cancel reply

Your email address will not be published. Required fields are marked *

*